$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName

$url_x86_64_zip = 'https://github.com/starship/starship/releases/download/v1.17.0/starship-x86_64-pc-windows-msvc.zip'
$url_i686_zip = 'https://github.com/starship/starship/releases/download/v1.17.0/starship-i686-pc-windows-msvc.zip'
$checksum_x86_64_zip = '24497A2CFD5AD61AD0DF5CFD1E3800C5CCEA7732DFE6D1F4B0CBFAEEB29721DC'
$checksum_i686_zip = '1E61BAA8FB6FFD15184BA02C19EFCD1857E4E366063E842DF7708CB74DD832F4'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$packageArgs = @{
    packageName   = $packageName
    fileType      = 'zip'
    url           = $url_i686_zip
    url64bit      = $url_x86_64_zip
    checksum      = $checksum_i686_zip
    checksum64    = $checksum_x86_64_zip
    checksumType  = 'sha256'
    unzipLocation = $toolsDir
}
Install-ChocolateyZipPackage @packageArgs

# Add to Profile
Write-Host "Add the following to the end of ~\Documents\PowerShell\Microsoft.PowerShell_profile.ps1 'Invoke-Expression (&starship init powershell)'"
